<?php
/**
 * Copyright since 2025 InPost S.A.
 *
 * For the full license information, please view the LICENSE file bundled with the module.
 *
 * @author InPost S.A.
 * @copyright since 2025 InPost S.A.
 * @license MIT
 */

declare(strict_types=1);

namespace InPost\International\Api\Shipment\Request;

use InPost\International\Api\Shipment\Model\Parcel;
use InPost\International\Api\Shipment\Model\Recipient;
use InPost\International\Api\Shipment\Model\References;
use InPost\International\Api\Shipment\Model\ValueAddedServices;
use InPost\International\Api\Shipment\ShipmentType;

if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 * @internal should not be implemented outside the module
 */
interface ShipmentInterface extends \JsonSerializable
{
    public function getType(): ShipmentType;

    public function getParcel(): Parcel;

    public function getRecipient(): Recipient;

    public function getReferences(): ?References;

    public function getValueAddedServices(): ?ValueAddedServices;
}
